import * as IORedis from "ioredis";
import { Driver } from "./base";
export interface RedisDriverOptions {
    ioredis?: IORedis.RedisOptions;
}
export declare class RedisDriver implements Driver {
    private serverUrl;
    private options;
    client: IORedis.Redis;
    constructor(serverUrl: string, options?: RedisDriverOptions);
    touch(key: string, lifetime: number): Promise<boolean>;
    get<Result>(key: string): Promise<Result | undefined>;
    getMulti<Result>(keys: string[]): Promise<{
        [key: string]: Result | undefined;
    }>;
    set<Result>(key: string, value: Result, lifetime?: number): Promise<void>;
    del(key: string): Promise<boolean>;
    flush(): Promise<void>;
    end(): Promise<void>;
}
