import * as IORedis from "ioredis";
import { Driver } from "./base";
export interface RedisClusterDriverOptions {
    ioredis?: IORedis.ClusterOptions;
}
export declare class RedisClusterDriver implements Driver {
    private serverUrl;
    private options;
    client: IORedis.Redis & IORedis.Cluster;
    constructor(serverUrl: string, options?: RedisClusterDriverOptions);
    touch(key: string, lifetime: number): Promise<boolean>;
    get<Result>(key: string): Promise<Result | undefined>;
    getMulti<Result>(keys: string[]): Promise<{
        [key: string]: Result | undefined;
    }>;
    set<Result>(key: string, value: Result, lifetime?: number): Promise<void>;
    del(key: string): Promise<boolean>;
    flush(): Promise<void>;
    end(): Promise<void>;
}
